---
updatedAt: 2026-08-27T11:59:45.000Z
agentTools:
  projectIndex: https://developers.deliverect.com/v1.1-restaurants/llms.txt
---

# Orders

## Order Model

For a full list of all order attributes and their definition, see the link below;

<HTMLBlock>{`
<a href="https://developers.deliverect.com/page/glossary-pos-orders" target="_blank" class="doc-button">▶ POS Order Model</a>
`}</HTMLBlock>

<HTMLBlock>{`
<div class="callout-banner callout-banner--important">
  <span class="callout-icon"><i class="fa-duotone fa-solid fa-triangle-exclamation"></i></span>
  <p>
    <strong>Polling Orders</strong><br>
    Please note that frequent polling of orders is not allowed.
    To receive orders in real time as a POS, use the
    <a href="https://developers.deliverect.com/v1.1/reference/pos_ordercancel">Order Notification webhook</a>.
  </p>
</div>
`}</HTMLBlock>

## Refine Results

#### By account;

Add the account Id as below to return all orders for a specified account;

```Text Account Query Parm
?where={"account": "65********************6f"}
```

#### By location

Add the location Id as below to return all orders for a specified location;

```Text Location Query Parm
?where={"location": "65********************fd"}
```

#### By Order Id

```text Order Query Param
?where={"_id": "62********************7c}
```

## Querying Results

As results can be paginated, please reference the link below which shows how to correctly handle this;

<HTMLBlock>{`
<div class="callout-banner callout-banner--neutral">
  <span class="callout-icon"><i class="fa-regular fa-square-info"></i></span>
  <p>As results are paginated, please reference the <a href="https://developers.deliverect.com/docs/how-to-query-results">Guide on Query Parameters</a> which shows how to correctly handle paged results.
  </p>
</div>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Deliverect Store  API",
    "description": "The store API allows multiple functions to query and update the availability of customer's stores and the products in their account",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.staging.deliverect.com"
    }
  ],
  "security": [
    {
      "oauth2ClientCredentials": []
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2ClientCredentials": {
        "type": "oauth2",
        "description": "Obtain an access token using the partner client ID and client secret. Send the returned token with each API request in the Authorization header as a Bearer token.",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true,
    "oauth-options": {
      "useInsecureClientAuthentication": true
    }
  },
  "x-readme-fauxas": true,
  "paths": {
    "/my-orders": {
      "get": {
        "description": "",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "_items": [
                        {
                          "_id": "62********************7c",
                          "account": "61********************a1",
                          "_created": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                          "_updated": "YYYY-MM-DDT08:36:46.SSSSSSZ",
                          "_etag": "b******************************3d3",
                          "channelOrderId": "TEST******4206",
                          "channelOrderDisplayId": "T**4206",
                          "location": "61********************b4",
                          "channelLink": "61********************c3",
                          "status": 120,
                          "statusHistory": [
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "status": 4,
                              "response": "",
                              "source": 2,
                              "eventId": "66********************e9"
                            },
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "status": 1,
                              "response": "",
                              "source": 5,
                              "eventId": "66********************e2"
                            },
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "status": 2,
                              "response": "",
                              "source": 5,
                              "eventId": "67********************d2"
                            },
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "status": 120,
                              "response": "Connection Issue",
                              "source": 1,
                              "issues": [
                                {
                                  "issueType": "CONNECTION_ERROR",
                                  "source": 1,
                                  "title": "Connection Error",
                                  "description": "Unable to contact your POS system.",
                                  "actions": [],
                                  "extras": {},
                                  "shouldLogToSentry": false,
                                  "failureGroup": "unknown",
                                  "failureResponsibility": "external",
                                  "probability": 99
                                }
                              ],
                              "eventId": "66********************2f"
                            }
                          ],
                          "pos": 10000,
                          "posId": "",
                          "posReceiptId": "",
                          "posLocationId": "",
                          "posStatus": 120,
                          "posStatusHistory": [
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "orderStatus": 1,
                              "posOrderStatus": 9
                            },
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "orderStatus": 2,
                              "posOrderStatus": 10
                            },
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "orderStatus": 120,
                              "posOrderStatus": 120
                            }
                          ],
                          "channel": 1,
                          "channelStatusHistory": [
                            {
                              "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "channelEvent": 121,
                              "orderStatus": 120,
                              "channelStatus": "",
                              "success": true,
                              "response": ""
                            }
                          ],
                          "channelOrderRawId": "",
                          "channelOrderHistoryRawIds": [],
                          "reportingHistory": [],
                          "by": "",
                          "orderType": 2,
                          "note": "",
                          "rating": [],
                          "pickupTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                          "deliveryTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                          "preparationTime": 15,
                          "deliveryIsAsap": true,
                          "courier": {
                            "deliveryBy": "restaurant"
                          },
                          "customer": {
                            "_id": "66********************b0",
                            "hash": "",
                            "name": "",
                            "phoneNumber": "",
                            "phoneAccessCode": "",
                            "email": ""
                          },
                          "deliveryAddress": {
                            "source": ""
                          },
                          "orderIsAlreadyPaid": true,
                          "packaging": {
                            "includeCutlery": false
                          },
                          "deliveryInfo": {
                            "packageSize": "unknown",
                            "transportType": "unknown"
                          },
                          "items": [
                            {
                              "_id": "67********************b1",
                              "plu": "P-BRGR",
                              "name": "Burger Combo (Drink not Included)",
                              "sortOrder": 0,
                              "price": 500,
                              "quantity": 1,
                              "productType": 1,
                              "remark": "",
                              "categoryInfo": {},
                              "isInternal": false,
                              "subItems": [
                                {
                                  "plu": "DRK-01",
                                  "name": "Diet Soda",
                                  "sortOrder": 0,
                                  "price": 100,
                                  "quantity": 1,
                                  "productType": 1,
                                  "subItems": []
                                },
                                {
                                  "plu": "P-BURG-CHE",
                                  "name": "Cheeseburger",
                                  "sortOrder": 0,
                                  "price": 0,
                                  "quantity": 1,
                                  "productType": 1,
                                  "inBundle": true,
                                  "subItems": [
                                    {
                                      "plu": "P-GHRK",
                                      "name": "Extra Gherkin",
                                      "sortOrder": 0,
                                      "price": 50,
                                      "quantity": 2,
                                      "productType": 1,
                                      "subItems": [],
                                      "productTags": []
                                    }
                                  ],
                                  "productTags": [
                                    14
                                  ]
                                }
                              ]
                            }
                          ],
                          "taxes": [],
                          "taxTotal": 113,
                          "taxRemitted": 113,
                          "payment": {
                            "amount": 2353,
                            "type": 3,
                            "due": 0,
                            "rebate": 0
                          },
                          "payments": [],
                          "decimalDigits": 2,
                          "numberOfCustomers": 0,
                          "serviceCharge": 0,
                          "deliveryCost": 0,
                          "bagFee": 0,
                          "tip": 0,
                          "driverTip": 0,
                          "discountTotal": 0,
                          "historyDriverUpdates": [],
                          "courierUpdateHistory": [
                            {
                              "status": 81,
                              "received": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "courier": {},
                              "arrivalTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "deliveryTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
                              "source": 5
                            }
                          ],
                          "deliveryJobIds": [],
                          "deliverySystems": [],
                          "failedDeliverySystems": [],
                          "recent": true,
                          "resolvedBy": "",
                          "brandId": "61********************60",
                          "timezone": "America/Detroit",
                          "date": 20230414,
                          "fixedCost": 0,
                          "tabletless": true,
                          "ageCheck": false,
                          "failureReason": "Connection Issue",
                          "failureType": "CONNECTION_ERROR",
                          "_links": {
                            "self": {
                              "title": "order",
                              "href": "orders/62********************7c"
                            }
                          }
                        }
                      ],
                      "_links": {
                        "parent": {
                          "title": "home",
                          "href": "/"
                        },
                        "self": {
                          "title": "orders",
                          "href": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created"
                        },
                        "next": {
                          "title": "next page",
                          "href": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created&page=2"
                        },
                        "last": {
                          "title": "last page",
                          "href": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created&page=3"
                        }
                      },
                      "_meta": {
                        "page": 1,
                        "max_results": 25,
                        "total": 75
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string",
                            "example": "62********************7c"
                          },
                          "account": {
                            "type": "string",
                            "example": "61********************a1"
                          },
                          "_created": {
                            "type": "string",
                            "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                          },
                          "_updated": {
                            "type": "string",
                            "example": "YYYY-MM-DDT08:36:46.SSSSSSZ"
                          },
                          "_etag": {
                            "type": "string",
                            "example": "b******************************3d3"
                          },
                          "channelOrderId": {
                            "type": "string",
                            "example": "TEST******4206"
                          },
                          "channelOrderDisplayId": {
                            "type": "string",
                            "example": "T**4206"
                          },
                          "location": {
                            "type": "string",
                            "example": "61********************b4"
                          },
                          "channelLink": {
                            "type": "string",
                            "example": "61********************c3"
                          },
                          "status": {
                            "type": "integer",
                            "example": 120,
                            "default": 0
                          },
                          "statusHistory": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "timeStamp": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "status": {
                                  "type": "integer",
                                  "example": 4,
                                  "default": 0
                                },
                                "response": {
                                  "type": "string",
                                  "example": ""
                                },
                                "source": {
                                  "type": "integer",
                                  "example": 2,
                                  "default": 0
                                },
                                "eventId": {
                                  "type": "string",
                                  "example": "66********************e9"
                                }
                              }
                            }
                          },
                          "pos": {
                            "type": "integer",
                            "example": 10000,
                            "default": 0
                          },
                          "posId": {
                            "type": "string",
                            "example": ""
                          },
                          "posReceiptId": {
                            "type": "string",
                            "example": ""
                          },
                          "posLocationId": {
                            "type": "string",
                            "example": ""
                          },
                          "posStatus": {
                            "type": "integer",
                            "example": 120,
                            "default": 0
                          },
                          "posStatusHistory": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "timeStamp": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "orderStatus": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "posOrderStatus": {
                                  "type": "integer",
                                  "example": 9,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "channel": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "channelStatusHistory": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "timeStamp": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "channelEvent": {
                                  "type": "integer",
                                  "example": 121,
                                  "default": 0
                                },
                                "orderStatus": {
                                  "type": "integer",
                                  "example": 120,
                                  "default": 0
                                },
                                "channelStatus": {
                                  "type": "string",
                                  "example": ""
                                },
                                "success": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                },
                                "response": {
                                  "type": "string",
                                  "example": ""
                                }
                              }
                            }
                          },
                          "channelOrderRawId": {
                            "type": "string",
                            "example": ""
                          },
                          "channelOrderHistoryRawIds": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "reportingHistory": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "by": {
                            "type": "string",
                            "example": ""
                          },
                          "orderType": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          },
                          "note": {
                            "type": "string",
                            "example": ""
                          },
                          "rating": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "pickupTime": {
                            "type": "string",
                            "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                          },
                          "deliveryTime": {
                            "type": "string",
                            "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                          },
                          "preparationTime": {
                            "type": "integer",
                            "example": 15,
                            "default": 0
                          },
                          "deliveryIsAsap": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "courier": {
                            "type": "object",
                            "properties": {
                              "deliveryBy": {
                                "type": "string",
                                "example": "restaurant"
                              }
                            }
                          },
                          "customer": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string",
                                "example": "66********************b0"
                              },
                              "hash": {
                                "type": "string",
                                "example": ""
                              },
                              "name": {
                                "type": "string",
                                "example": ""
                              },
                              "phoneNumber": {
                                "type": "string",
                                "example": ""
                              },
                              "phoneAccessCode": {
                                "type": "string",
                                "example": ""
                              },
                              "email": {
                                "type": "string",
                                "example": ""
                              }
                            }
                          },
                          "deliveryAddress": {
                            "type": "object",
                            "properties": {
                              "source": {
                                "type": "string",
                                "example": ""
                              }
                            }
                          },
                          "orderIsAlreadyPaid": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "packaging": {
                            "type": "object",
                            "properties": {
                              "includeCutlery": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              }
                            }
                          },
                          "deliveryInfo": {
                            "type": "object",
                            "properties": {
                              "packageSize": {
                                "type": "string",
                                "example": "unknown"
                              },
                              "transportType": {
                                "type": "string",
                                "example": "unknown"
                              }
                            }
                          },
                          "items": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "_id": {
                                  "type": "string",
                                  "example": "67********************b1"
                                },
                                "plu": {
                                  "type": "string",
                                  "example": "P-BRGR"
                                },
                                "name": {
                                  "type": "string",
                                  "example": "Burger Combo (Drink not Included)"
                                },
                                "sortOrder": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "price": {
                                  "type": "integer",
                                  "example": 500,
                                  "default": 0
                                },
                                "quantity": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "productType": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "remark": {
                                  "type": "string",
                                  "example": ""
                                },
                                "categoryInfo": {
                                  "type": "object",
                                  "properties": {}
                                },
                                "isInternal": {
                                  "type": "boolean",
                                  "example": false,
                                  "default": true
                                },
                                "subItems": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "plu": {
                                        "type": "string",
                                        "example": "DRK-01"
                                      },
                                      "name": {
                                        "type": "string",
                                        "example": "Diet Soda"
                                      },
                                      "sortOrder": {
                                        "type": "integer",
                                        "example": 0,
                                        "default": 0
                                      },
                                      "price": {
                                        "type": "integer",
                                        "example": 100,
                                        "default": 0
                                      },
                                      "quantity": {
                                        "type": "integer",
                                        "example": 1,
                                        "default": 0
                                      },
                                      "productType": {
                                        "type": "integer",
                                        "example": 1,
                                        "default": 0
                                      },
                                      "subItems": {
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "properties": {}
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "taxes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "taxTotal": {
                            "type": "integer",
                            "example": 113,
                            "default": 0
                          },
                          "taxRemitted": {
                            "type": "integer",
                            "example": 113,
                            "default": 0
                          },
                          "payment": {
                            "type": "object",
                            "properties": {
                              "amount": {
                                "type": "integer",
                                "example": 2353,
                                "default": 0
                              },
                              "type": {
                                "type": "integer",
                                "example": 3,
                                "default": 0
                              },
                              "due": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              },
                              "rebate": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              }
                            }
                          },
                          "payments": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "decimalDigits": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          },
                          "numberOfCustomers": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "serviceCharge": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "deliveryCost": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "bagFee": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "tip": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "driverTip": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "discountTotal": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "historyDriverUpdates": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "courierUpdateHistory": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "status": {
                                  "type": "integer",
                                  "example": 81,
                                  "default": 0
                                },
                                "received": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "courier": {
                                  "type": "object",
                                  "properties": {}
                                },
                                "arrivalTime": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "deliveryTime": {
                                  "type": "string",
                                  "example": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
                                },
                                "source": {
                                  "type": "integer",
                                  "example": 5,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "deliveryJobIds": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "deliverySystems": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "failedDeliverySystems": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "recent": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "resolvedBy": {
                            "type": "string",
                            "example": ""
                          },
                          "brandId": {
                            "type": "string",
                            "example": "61********************60"
                          },
                          "timezone": {
                            "type": "string",
                            "example": "America/Detroit"
                          },
                          "date": {
                            "type": "integer",
                            "example": 20230414,
                            "default": 0
                          },
                          "fixedCost": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "tabletless": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "ageCheck": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "failureReason": {
                            "type": "string",
                            "example": "Connection Issue"
                          },
                          "failureType": {
                            "type": "string",
                            "example": "CONNECTION_ERROR"
                          },
                          "_links": {
                            "type": "object",
                            "properties": {
                              "self": {
                                "type": "object",
                                "properties": {
                                  "title": {
                                    "type": "string",
                                    "example": "order"
                                  },
                                  "href": {
                                    "type": "string",
                                    "example": "orders/62********************7c"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "_links": {
                      "type": "object",
                      "properties": {
                        "parent": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "example": "home"
                            },
                            "href": {
                              "type": "string",
                              "example": "/"
                            }
                          }
                        },
                        "self": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "example": "orders"
                            },
                            "href": {
                              "type": "string",
                              "example": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created"
                            }
                          }
                        },
                        "next": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "example": "next page"
                            },
                            "href": {
                              "type": "string",
                              "example": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created&page=2"
                            }
                          }
                        },
                        "last": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "example": "last page"
                            },
                            "href": {
                              "type": "string",
                              "example": "my-orders?where={\"account\":\"61********************a1\"}&sort=-_created&page=3"
                            }
                          }
                        }
                      }
                    },
                    "_meta": {
                      "type": "object",
                      "properties": {
                        "page": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "max_results": {
                          "type": "integer",
                          "example": 25,
                          "default": 0
                        },
                        "total": {
                          "type": "integer",
                          "example": 75,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": [],
        "operationId": "get_my-orders",
        "summary": "Orders",
        "x-internal": true
      }
    }
  }
}
```